#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	23.04.3
%define		kframever	5.94.0
%define		qtver		5.15.2
%define		kaname		ktp-accounts-kcm
Summary:	ktp-accounts-kcm
Name:		ka5-%{kaname}
Version:	23.04.3
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Applications
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	6128e2191d3fbf3ff50cd5cb81aa2ae9
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	gettext-devel
BuildRequires:	intltool
BuildRequires:	kf5-extra-cmake-modules >= %{kframever}
BuildRequires:	kf5-kcmutils-devel >= %{kframever}
BuildRequires:	kf5-kcodecs-devel >= %{kframever}
BuildRequires:	kf5-kconfigwidgets-devel >= %{kframever}
BuildRequires:	kf5-kcoreaddons-devel >= %{kframever}
BuildRequires:	kf5-ki18n-devel >= %{kframever}
BuildRequires:	kf5-kiconthemes-devel >= %{kframever}
BuildRequires:	kf5-kio-devel >= %{kframever}
BuildRequires:	kf5-kitemviews-devel >= %{kframever}
BuildRequires:	kf5-kwidgetsaddons-devel >= %{kframever}
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	telepathy-qt5-devel >= 0.9.8
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KDE Control Module for managing Telepathy Accounts.

%description -l pl.UTF-8
Moduł kontroli KDE do zarządzania kontami Telepathy.

%prep
%setup -q -n %{kaname}-%{version}

%build
install -d build
cd build
%cmake \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	..
%ninja_build

%if %{with tests}
ctest
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libktpaccountskcminternal.so.*.*.*
%ghost %{_libdir}/libktpaccountskcminternal.so.9
%dir %{_libdir}/qt5/plugins/kaccounts/ui
%attr(755,root,root) %{_libdir}/qt5/plugins/kaccounts/ui/ktpaccountskcm_plugin_kaccounts.so
%attr(755,root,root) %{_libdir}/qt5/plugins/ktpaccountskcm_plugin_gabble.so
%attr(755,root,root) %{_libdir}/qt5/plugins/ktpaccountskcm_plugin_haze.so
%attr(755,root,root) %{_libdir}/qt5/plugins/ktpaccountskcm_plugin_idle.so
%attr(755,root,root) %{_libdir}/qt5/plugins/ktpaccountskcm_plugin_morse.so
%attr(755,root,root) %{_libdir}/qt5/plugins/ktpaccountskcm_plugin_salut.so
%attr(755,root,root) %{_libdir}/qt5/plugins/ktpaccountskcm_plugin_sipe.so
%attr(755,root,root) %{_libdir}/qt5/plugins/ktpaccountskcm_plugin_sunshine.so
%dir %{_datadir}/accounts/providers/kde
%{_datadir}/accounts/providers/kde/ktp-gadugadu.provider
%{_datadir}/accounts/providers/kde/ktp-generic.provider
%{_datadir}/accounts/providers/kde/ktp-haze-aim.provider
%{_datadir}/accounts/providers/kde/ktp-haze-icq.provider
%{_datadir}/accounts/providers/kde/ktp-haze-sametime.provider
%{_datadir}/accounts/providers/kde/ktp-haze-skypeweb.provider
%{_datadir}/accounts/providers/kde/ktp-haze-yahoo.provider
%{_datadir}/accounts/providers/kde/ktp-jabber.provider
%{_datadir}/accounts/providers/kde/ktp-kde-talk.provider
%{_datadir}/accounts/providers/kde/ktp-morse-telegram.provider
%{_datadir}/accounts/providers/kde/ktp-salut.provider
%{_datadir}/accounts/providers/kde/ktp-sipe-haze.provider
%{_datadir}/accounts/providers/kde/ktp-sipe.provider
%dir %{_datadir}/accounts/services/kde
%{_datadir}/accounts/services/kde/google-im.service
%{_datadir}/accounts/services/kde/ktp-generic-im.service
%{_datadir}/accounts/services/kde/ktp-haze-aim-im.service
%{_datadir}/accounts/services/kde/ktp-haze-gadugadu-im.service
%{_datadir}/accounts/services/kde/ktp-haze-icq-im.service
%{_datadir}/accounts/services/kde/ktp-haze-sametime-im.service
%{_datadir}/accounts/services/kde/ktp-haze-skypeweb-im.service
%{_datadir}/accounts/services/kde/ktp-haze-yahoo-im.service
%{_datadir}/accounts/services/kde/ktp-jabber-im.service
%{_datadir}/accounts/services/kde/ktp-kde-talk-im.service
%{_datadir}/accounts/services/kde/ktp-morse-telegram-im.service
%{_datadir}/accounts/services/kde/ktp-salut-im.service
%{_datadir}/accounts/services/kde/ktp-sipe-haze-im.service
%{_datadir}/accounts/services/kde/ktp-sipe-im.service
%{_datadir}/kservices5/ktpaccountskcm_plugin_gabble.desktop
%{_datadir}/kservices5/ktpaccountskcm_plugin_haze.desktop
%{_datadir}/kservices5/ktpaccountskcm_plugin_idle.desktop
%{_datadir}/kservices5/ktpaccountskcm_plugin_morse.desktop
%{_datadir}/kservices5/ktpaccountskcm_plugin_salut.desktop
%{_datadir}/kservices5/ktpaccountskcm_plugin_sipe.desktop
%{_datadir}/kservices5/ktpaccountskcm_plugin_sunshine.desktop
%{_datadir}/kservicetypes5/ktpaccountskcminternal-accountuiplugin.desktop
%{_datadir}/telepathy/profiles
%changelog
* Mon Jul 10 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-ktp-accounts-kcm.git;a=log;h=master

* Fri Jul 07 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 9ac0338
- updated to 23.04.3

* Sat Jun 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> f446498
- updated to 23.04.2

* Fri May 12 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 30a6f11
- updated to 23.04.1

* Fri Apr 21 2023 Witold Filipczyk <witekfl@poczta.onet.pl> b438765
- updated to 23.04.0

* Sun Apr 09 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> bcbc0f3
- rebuild against QT 5.15.9

* Fri Mar 03 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 11468ad
- updated to 22.12.3

* Fri Feb 03 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 398da10
- updated to 22.12.2

* Fri Jan 06 2023 Witold Filipczyk <witekfl@poczta.onet.pl> b84ceaa
- updated to 22.12.1

* Thu Jan 05 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 687d8e6
- rebuild against QT 5.15.8

* Thu Dec 08 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 3bf666d
- updated to 22.12.0

* Fri Nov 04 2022 Witold Filipczyk <witekfl@poczta.onet.pl> c0bf8d2
- updated to 22.08.3

* Fri Oct 14 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 7e648fc
- updated to 22.08.2

* Wed Sep 14 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> fb1eacc
- rebuild with qt5-5.15.6

* Fri Sep 09 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 2c949e8
- updated to 22.08.1

* Fri Aug 19 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 01b2553
- updated to 22.08.0

* Thu Jul 07 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 4b6df2f
- updated to 22.04.3

* Fri Jun 10 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 986903f
- updated to 22.04.2

* Thu May 12 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 9ed3fde
- updated to 22.04.1

* Fri Apr 22 2022 Witold Filipczyk <witekfl@poczta.onet.pl> c272c98
- updated to 22.04.0

* Tue Apr 05 2022 Witold Filipczyk <witekfl@poczta.onet.pl> 537c9fb
- bcond_with tests

